#include<bits/stdc++.h>
using namespace std;
void pazar(int n)
{
    if(n==0 || n==1)
    {
        cout<<-1;
    }
    else
    {
        if(n%2==0)
        {
            for(int i=0; i<n/2; i++)
            {
                cout<<1;
            }
        }
        else
        {
            cout<<7;
            for(int i=0; i<n-3; i+=2)
            {
                cout<<1;
            }
        }
    }
}
int main()
{
    int n;
    cin>>n;
    pazar(n);
}
